Source

anjuta-pyloader / README

This is a plugin for the Anjuta IDE, it allows loading other plugins written
in Python. For now, it requires very recent versions of its dependencies.

First make sure you have at least gobject-introspection 0.6.6 and glib 2.20.
You'll also need at least version 2.21.0 of pygobject, if you compile it from
source, make sure to pass --enable-pygi to configure (I think it will work
without this, but may cause problems with e.g. GFile).
You also need the latest git version of pygi with the following patches from
bugzilla :
http://bugzilla.gnome.org/attachment.cgi?id=148767
http://bugzilla.gnome.org/attachment.cgi?id=148836

then a simple
  make && sudo make install
will install this plugin (in the same prefix as anjuta).

For now, gobject-introspection files are included here, they'll move to anjuta
in the next few weeks.

Happy Hacking, I hope this will lead to many Anjuta plugins being developped ;)